import { z } from "zod"

import { Lang } from "@/constants/languages"
import { MembershipLevelEnum } from "@/constants/membershipLevels"

export const loyaltyLevelInput = z.object({
  level: z.nativeEnum(MembershipLevelEnum),
  lang: z.nativeEnum(Lang).optional(),
})
